Skip to content
Carts & CheckoutCustomer

Get order status

Returns the current status of one of the customer's orders, for an order tracking page.

GET/v1/customer/orders/{orderId}/status
Requires an access token.

Path Parameters

orderId*string

Identifier of the order.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253
X-Customer-Session?string

Customer session from POST /v1/customer/sessions. Send it instead of Authorization, never both.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://storefront.ecomiq.pe/v1/customer/orders/7204558912004325350/status" \  -H "Authorization: Bearer <token>" \  -H "x-Store-Domain: my-store" \  -H "X-Customer-Session: <session-id>"
{  "orderId": "7204558912004325350",  "orderNumber": "ORD-2026-0001",  "status": "new",  "createdOn": "2026-09-28T15:30:00Z",  "updatedOn": "2026-09-28T15:30:00Z"}